API-Referenz
Erstellen und verwalten Sie Kurzlinks programmatisch. Jede Anfrage erfordert ein Bearer-Token aus dem API-Schlüssel-Bereich Ihres Dashboards.
Authentifizierung
Senden Sie den Schlüssel bei jeder Anfrage als Bearer-Token.
https://urlvis.comLink erstellen
Erstellt einen neuen Kurzlink. Das Ziel wird beim Erstellen vom Betrugsfilter geprüft — Schreibvorgänge sind langsamer als bei einem einfachen Kurzlink-Dienst.
/api/linkslinks:writecurl -X POST https://urlvis.com/api/links \
-H "Authorization: Bearer urlvis_live_..." \
-H "Content-Type: application/json" \
-d '{
"destination": "https://example.com/campaign",
"domainId": "<domain-uuid>",
"slug": "spring",
"expiresAt": "2026-12-31T23:59:00.000Z"
}'destination, domainId — required · slug, expiresAt — optional
Links auflisten
Gibt alle Links Ihres Kontos zurück.
/api/linkslinks:readcurl https://urlvis.com/api/links \ -H "Authorization: Bearer urlvis_live_..."
Linkziel ändern
Aktualisiert, wohin ein bestehender Link zeigt. Der Kurzlink, sein QR-Code und die Klickhistorie bleiben gleich. Das neue Ziel durchläuft dieselbe Sicherheitsprüfung wie ein neuer Link, daher kann dies 422 blocked_by_filter zurückgeben.
/api/links/{id}links:writecurl -X PATCH https://urlvis.com/api/links/<link-id> \
-H "Authorization: Bearer urlvis_live_..." \
-H "Content-Type: application/json" \
-d '{"destination": "https://example.com/new-target"}'destination — required · utm — optional. The short link, its QR code and click history stay the same. The new destination runs through the same security scan as a new link, so this can return 422 blocked_by_filter.
Link löschen
Entfernt einen Link von Ihrem Konto. Gibt 204 bei Erfolg zurück, 404 wenn kein solcher Link existiert.
/api/links/{id}links:writecurl -X DELETE https://urlvis.com/api/links/<link-id> \ -H "Authorization: Bearer urlvis_live_..."
204 on success, 404 if no such link exists on your account.
Auswertungen exportieren
Exportiert Klickstatistiken als CSV. Optional nach linkId filtern. Die Datenspeicherung hängt von Ihrem Tarif ab.
/api/analytics/export?linkId=links:readcurl "https://urlvis.com/api/analytics/export?linkId=<link-uuid>" \ -H "Authorization: Bearer urlvis_live_..." \ -o analytics.csv
Ratenbegrenzung
Jede Antwort enthält Ihr verbleibendes Kontingent. Ratenbegrenzungen sind pro Schlüssel, nicht pro IP.
X-RateLimit-Limit: 60 # links:write X-RateLimit-Limit: 600 # links:read X-RateLimit-Remaining: 59 X-RateLimit-Reset: 42 # seconds Retry-After: 42 # 429 only
Fehler
Fehler kommen als JSON mit einem error-Feld und dem passenden HTTP-Status zurück.
401 invalid_api_key key unknown, revoked, or plan no longer includes API 403 insufficient_scope key lacks the scope this endpoint needs 404 not_found no such link on this account 422 blocked_by_filter destination rejected by the fraud filter 402 link_quota monthly plan quota exhausted 429 rate_limited see Retry-After
Domain-ID abrufen
Der POST /api/links-Endpunkt erfordert eine domainId. Es gibt derzeit keinen API-Endpunkt zum Auflisten Ihrer Domains — der Domains-Endpunkt erfordert eine Dashboard-Sitzung. So erhalten Sie Ihre Domain-ID:
- Öffnen Sie das Dashboard und gehen Sie zu Domains.
- Jede Domain-Karte zeigt ihre ID mit einer Kopierschaltfläche daneben — kopieren Sie sie dort.